#include <stdio.h>
#include <bcm2835.h>
 
#define LED RPI_BPLUS_GPIO_J8_16  // Numéro de la broche sur le GPIO

// gcc -o Clignotement_LED_GPIO23 bcm2835.c Clignotement_LED_GPIO23.c // Ligne de compilation
 
void setup() 
	{
	    if (!bcm2835_init())
	    {
	      printf("bcm2835_init failed. Are you running as root??\n");
	    }
	}
 
int main(void)
{
setup();
bcm2835_gpio_fsel(LED, BCM2835_GPIO_FSEL_OUTP); // Broche LED (GPIO23) en sortie
printf("Clignotement de la LED du GPIO23 (broche 16)\n");
while(1)
	{
        bcm2835_gpio_write(LED, LOW); //LED = 0
        bcm2835_delay(500);
        bcm2835_gpio_write(LED, HIGH); //LED = 1
        bcm2835_delay(500);
 	}
bcm2835_close();
return 0;
}
